Bug 186526 - Very slow network with tulip driver
Very slow network with tulip driver
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 21:00 EST by Maciej Babinski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 10:29:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Babinski 2006-03-23 21:00:49 EST
Description of problem:
Terrible network performance on tulip-based network card. Can't get above about
30k/s transfers on an unloaded 100Mbit LAN.

Version-Release number of selected component (if applicable):
2.6.15-1.2054_FC5smp
Substituting kernel 2.6.15-1.1833_FC4smp solves the problem.

Additional info:

lspci info for the card:
00:0d.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
        Subsystem: Lite-On Communications Inc LNE100TX
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 4
        Region 0: I/O ports at e800 [size=256]
        Region 1: Memory at febfdf00 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at feb80000 [disabled] [size=256K]
Comment 1 John W. Linville 2006-05-25 14:41:25 EDT
Is this still a problem w/ current FC5 kernels?

If so, please try the FC5.netdev kernels:

   http://people.redhat.com/linville/kernels/fedora-netdev/

Does the issue still occur with the FC5.netdev kernels?
Comment 2 Maciej Babinski 2006-05-25 15:48:14 EDT
Yes, it is. I've been using 2.6.16-1.2069_FC4.netdev.13smp for a while, and
while the machine acts normally at boot, the problem shows up again after some
time has passed, usually a week or two, sometimes a few days. Once it does start
up, a soft reboot is not sufficient -- the machine needs to be power-cycled.

I am currently installing 2.6.16-1.2122.2.3_FC5.netdev.3 (smp), and will report
if I experience any more problem.s
Comment 3 John W. Linville 2006-06-30 10:29:50 EDT
Optimistically presuming that the lack of further complaint indicates 
improvement of the situation... :-)

Note You need to log in before you can comment on or make changes to this bug.